/*
Theme Name: Divi Child
Description: Theme enfant de Divi. Vous pouvez maintenant effectuer vos modifications en toute sécurité.
Author: Johana Larrousse
Author URI: https://www.johana-larrousse.fr/
Template: Divi
Version: 1.0
*/

/*FONTS*/
@font-face {
    font-family: 'architects_daughterregular';
    src: url('fonts/architectsdaughter-regular-webfont.woff2') format('woff2'),
         url('fonts/architectsdaughter-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Gabarito-Regular';
    src: url('fonts/Gabarito-Regular.woff2') format('woff2'),
         url('fonts/Gabarito-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Gabarito-Bold';
    src: url('fonts/Gabarito-Bold.woff2') format('woff2'),
         url('fonts/Gabarito-Bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

:root {
	--fontP: 'Gabarito-Regular', sans-serif;
    --fontS: 'architects_daughterregular', sans-serif;
	/* FLUID TYPO
	** font-size: calc([minimum size] + ([maximum size] - [minimum size]) * ((100vw - [minimum viewport width]) / ([maximum viewport width] - [minimum viewport width])));
	*/
    --size-XXL: calc(35px + (100 - 35) * ((100vw - 280px) / (2650 - 280)));
    --size-XL: calc(30px + (50 - 30) * ((100vw - 280px) / (2650 - 280)));
	--size-L: calc(26px + (58 - 26) * ((100vw - 280px) / (2650 - 280))); 
    --size-M: calc(20px + (37 - 20) * ((100vw - 280px) / (2560 - 280)));
	--size-S: calc(17px + (28 - 17) * ((100vw - 280px) / (2650 - 280)));
    --size-XS: calc(17px + (22 - 17) * ((100vw - 280px) / (2650 - 280)));
	--font-size-p: calc(14px + (19 - 14) * ((100vw - 280px) / (2650 - 280)));
  }

/*TEXTE*/
.ss-titre{font-family:var(--fontS);font-size: var(--size-XS);}
p{padding-bottom: 0px;}

h1, h2, h3,.text-box{font-family:var(--fontP);text-transform: uppercase;}
h1{font-size: var(--size-L)!important;}
h2,.text-box{font-size: var(--size-M)!important;}
h3,.text-encart p{font-size: var(--size-S);}
p,.et-menu-nav li a, ul li,.et_pb_menu__cart-count{font-size: var(--font-size-p);font-family:var(--fontP);}

/*MENU*/
#main-header{box-shadow: none!important;}
header .et_pb_sticky--top{box-shadow: 0px 0px 5px;}
/*bouton menu mon compte*/
#menu-menu-principal li.ctaMenu.et_pb_menu_page_id-52.menu-item.menu-item-type-post_type.menu-item-object-page.menu-item-994 a {color: white !important;padding-left: 25px !important;background: #3c6f71 !important;padding-right: 25px !important;padding-top: 10px !important;padding-bottom: 10px !important;margin-top: -12px !important;}
#menu-menu-principal li.ctaMenu.et_pb_menu_page_id-52.menu-item.menu-item-type-post_type.menu-item-object-page.menu-item-994 a:hover {background: #ee733f !important;}
/*centrer le bouton du menu mobile*/
@media (max-width: 980px){.ctaMenu {align-items:center;}}

/*Empêcher le menu hamburger en tablette et mobile*/
.lwp-hide-mobile-menu.et_pb_menu .et_pb_menu__menu,.lwp-hide-mobile-menu.et_pb_fullwidth_menu .et_pb_menu__menu {display: flex!important;}
.lwp-hide-mobile-menu .et_mobile_nav_menu {display: none!important;}

/*DESIGN*/
.white-mouche{background-image: url("/wp-content/uploads/2024/03/white-mouche.svg");background-repeat: no-repeat;background-size: cover;background-position: top;}
.blue-mountain{background-image: url("/wp-content/uploads/2024/03/blue-moutain.svg");background-repeat: no-repeat;background-size: cover;background-position: top;}
.white-mountain{background-image: url("/wp-content/uploads/2024/03/whitemountain.svg");background-repeat: no-repeat;background-size: cover;background-position: top;}
.mouche-sep:before{content:url("/wp-content/uploads/2024/03/mouche-sep.svg");position: relative;display: block; width: 10%;margin: 0 auto;}
.mountain-sep:before{content:url("/wp-content/uploads/2024/03/moutain-sep.svg");position: relative;display: block; width: 10%;margin: 0 auto;}
.white-river:{background-image: url("/wp-content/uploads/2024/03/river.svg");background-repeat: no-repeat;background-size:auto;background-position: right bottom;z-index: 5000;}
.guidage-sep:before{content: url("/wp-content/uploads/2024/03/logo-guidage.svg");position: relative;display: block; width: 20%;margin: 0 auto;}
.initiation-sep:before{content: url("/wp-content/uploads/2024/03/logo-initiation.svg");position: relative;display: block; width: 20%;margin: 0 auto;}
.voyage-sep:before{content: url("/wp-content/uploads/2024/03/logo-voyage.svg");position: relative;display: block; width: 20%;margin: 0 auto;}
.river::after{content: "";position: absolute;bottom: -15px;right: 0; display: block; width: 250px; height: 100px; background-image:url("/wp-content/uploads/2024/03/river.svg");background-position: right;background-size: contain;background-repeat: no-repeat;z-index: 50;}
.riverG::after{content: "";position: absolute;bottom: -15px;left: 0; display: block; width: 250px; height: 100px; background-image:url("/wp-content/uploads/2024/03/river.svg");background-position: left;background-size: contain;background-repeat: no-repeat;z-index: 50;}

/*BOUTONS*/
.btn-lb{color:white; background-color: transparent;border: 1px solid white;padding: 5px 10px;margin-top: 10px;text-transform: uppercase;display: inline-block;}
.btn-blue:hover{background-color: #3c6f71;}
.btn-green-c:hover{background-color: #bdd360;}
.btn-green-f:hover{background-color: #6fae6e;}
.btn-orange:hover{background-color: #ee733f;}

/** CENTRER UN MODULE **/
.centrer-bas{
	display: flex;
	flex-direction: column;
	justify-content:flex-end;}

.centrer-haut{
	display: flex;
	flex-direction: column;
	justify-content:flex-start;}

.centrer-verticalement{
	display: flex;
	flex-direction: column;
	justify-content:center;}

/*BOUTIQUE*/
.woocommerce h2,h2.wc-block-components-title.wc-block-components-checkout-step__title {color:#3C6F71;}
.woocommerce .woocommerce-form-login .woocommerce-form-login__submit,.wp-element-button, .wp-block-button__link{background-color:#3C6F71;color:white;text-transform: uppercase;border:none;border-radius: 0;}
.woocommerce .woocommerce-form-login .woocommerce-form-login__submit:hover{background-color:white;color:#3C6F71;border:1px solid #3C6F71;}
.button:after{display: none!important;}
.woocommerce a.button.alt:hover, .woocommerce-page a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce button.button.alt.disabled:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page button.button.alt.disabled:hover, .woocommerce input.button.alt:hover, .woocommerce-page input.button.alt:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce-page #respond input#submit.alt:hover, .woocommerce #content input.button.alt:hover, .woocommerce-page #content input.button.alt:hover, .woocommerce a.button:hover, .woocommerce-page a.button:hover, .woocommerce button.button:hover, .woocommerce-page button.button:hover, .woocommerce input.button:hover, .woocommerce-page input.button:hover, .woocommerce #respond input#submit:hover, .woocommerce-page #respond input#submit:hover, .woocommerce #content input.button:hover, .woocommerce-page #content input.button:hover, .woocommerce button.button:disabled:hover, .woocommerce-page button.button:disabled:hover{padding: .3em 1em!important;}
.wc-block-components-text-input input[type="text"],.wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input[aria-expanded="true"], .wc-block-components-form .wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input[aria-expanded="true"],.wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input, .wc-block-components-form .wc-block-components-combobox .wc-block-components-combobox-control input.components-combobox-control__input,.wc-block-components-form .wc-block-components-text-input input[type="email"], .wc-block-components-form .wc-block-components-text-input input[type="number"], .wc-block-components-form .wc-block-components-text-input input[type="tel"], .wc-block-components-form .wc-block-components-text-input input[type="text"], .wc-block-components-form .wc-block-components-text-input input[type="url"], .wc-block-components-text-input input[type="email"], .wc-block-components-text-input input[type="number"], .wc-block-components-text-input input[type="tel"], .wc-block-components-text-input input[type="text"], .wc-block-components-text-input input[type="url"],.wc-block-components-textarea{background-color:white!important;color:#3C6F71!important;border:1px solid #3C6F71!important;border-radius: 0!important;}
#block-7{margin-bottom: 0!important;}